import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaPersonReflect = (params) => request('/api/taPersonReflect', { params });

/*
 * 新增数据
 */
export const postTaPersonReflect = (data) => request('/api/taPersonReflect', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaPersonReflectById = (id) => request(`/api/taPersonReflect/${id}`);

/*
 * 更新数据
 */
export const putTaPersonReflect = (id, data) => request(`/api/taPersonReflect/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaPersonReflect = (id) => request(`/api/taPersonReflect/${id}`, { method: 'delete' });
